Package org.eclipse.net4j.signal.confirmation

## Class ConfirmationPrompt

- java.lang.Object
- - org.eclipse.net4j.signal.confirmation.ConfirmationPrompt

-     public class ConfirmationPrompt
      extends java.lang.Object

  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfirmationPrompt​(java.lang.String subject, java.lang.String message, org.eclipse.net4j.util.confirmation.Confirmation suggestedResponse, java.util.Collection<org.eclipse.net4j.util.confirmation.Confirmation> acceptableResponses)` |
    `ConfirmationPrompt​(java.lang.String subject, java.lang.String message, org.eclipse.net4j.util.confirmation.Confirmation suggestedResponse, org.eclipse.net4j.util.confirmation.Confirmation acceptableResponse, org.eclipse.net4j.util.confirmation.Confirmation... more)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<org.eclipse.net4j.util.confirmation.Confirmation>` | `getAcceptableResponses()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.String` | `getSubject()` |
    `org.eclipse.net4j.util.confirmation.Confirmation` | `getSuggestedResponse()` |
    `static ConfirmationPrompt` | `read​(org.eclipse.net4j.util.io.ExtendedDataInput in)` |
    `void` | `write​(org.eclipse.net4j.util.io.ExtendedDataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfirmationPrompt

          public ConfirmationPrompt​(java.lang.String subject,
                                    java.lang.String message,
                                    org.eclipse.net4j.util.confirmation.Confirmation suggestedResponse,
                                    org.eclipse.net4j.util.confirmation.Confirmation acceptableResponse,
                                    org.eclipse.net4j.util.confirmation.Confirmation... more)

    - #### ConfirmationPrompt

          public ConfirmationPrompt​(java.lang.String subject,
                                    java.lang.String message,
                                    org.eclipse.net4j.util.confirmation.Confirmation suggestedResponse,
                                    java.util.Collection<org.eclipse.net4j.util.confirmation.Confirmation> acceptableResponses)

  - ### Method Detail

    - #### getSubject

          public java.lang.String getSubject()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getAcceptableResponses

          public java.util.Set<org.eclipse.net4j.util.confirmation.Confirmation> getAcceptableResponses()

    - #### getSuggestedResponse

          public org.eclipse.net4j.util.confirmation.Confirmation getSuggestedResponse()

    - #### write

          public void write​(org.eclipse.net4j.util.io.ExtendedDataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public static ConfirmationPrompt read​(org.eclipse.net4j.util.io.ExtendedDataInput in)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`